package com.ywt.mg.services;

import com.ywt.mg.core.SqlHelper;
import com.ywt.mg.domain.mealEntities.Shop;
import com.ywt.mg.domain.mealEntities.ShopRepository;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ShopService {

    private final Logger logger = LoggerFactory.getLogger(ShopService.class);

    @Autowired
    SqlHelper sqlHelper;

    @Autowired
    ShopRepository shopRepository;

    public List<Shop> getAllShops() {
        return shopRepository.getAllShops();
    }
}
